## org.eclipse.m2m.atl.engine.vm
Class SimpleDebugger

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.SimpleDebugger

All Implemented Interfaces:
  Debugger

    public class SimpleDebugger

extends java.lang.Object
implements Debugger

A simple ATL VM debugger with step tracing and basic profiling optional capabilities.

Nested Class Summary
`protected class` `SimpleDebugger.OperationCall`

Constructor Summary
`SimpleDebugger(boolean step, java.util.List stepops, java.util.List deepstepops, java.util.List nostepops, java.util.List deepnostepops, boolean showStackTrace)`
`SimpleDebugger(boolean step, java.util.List stepops, java.util.List deepstepops, java.util.List nostepops, java.util.List deepnostepops, boolean showStackTrace, boolean continueAfterErrors)`
`SimpleDebugger(boolean step, java.util.List stepops, java.util.List deepstepops, java.util.List nostepops, java.util.List deepnostepops, boolean showStackTrace, boolean showSummary, boolean profile, boolean continueAfterErrors)`

Method Summary
`void` `enter(StackFrame frame)` Enters the frame.
`void` `error(StackFrame frame, java.lang.String msg, java.lang.Exception e)` Throws an error.
`void` `leave(StackFrame frame)` Leaves the frame.
`void` `step(ASMStackFrame frame)` Steps into the frame.
`void` `terminated()` Terminates the execution.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SimpleDebugger

    public SimpleDebugger(boolean step,
                          java.util.List stepops,
                          java.util.List deepstepops,
                          java.util.List nostepops,
                          java.util.List deepnostepops,
                          boolean showStackTrace)

### SimpleDebugger

    public SimpleDebugger(boolean step,
                          java.util.List stepops,
                          java.util.List deepstepops,
                          java.util.List nostepops,
                          java.util.List deepnostepops,
                          boolean showStackTrace,
                          boolean continueAfterErrors)

### SimpleDebugger

    public SimpleDebugger(boolean step,
                          java.util.List stepops,
                          java.util.List deepstepops,
                          java.util.List nostepops,
                          java.util.List deepnostepops,
                          boolean showStackTrace,
                          boolean showSummary,
                          boolean profile,
                          boolean continueAfterErrors)

Method Detail

### enter

    public void enter(StackFrame frame)

  Description copied from interface: `Debugger`
  Enters the frame.

  Specified by:
    `enter` in interface `Debugger`
  Parameters:
    `frame` - the frame to enter in

### leave

    public void leave(StackFrame frame)

  Description copied from interface: `Debugger`
  Leaves the frame.

  Specified by:
    `leave` in interface `Debugger`
  Parameters:
    `frame` - the frame to leave

### step

    public void step(ASMStackFrame frame)

  Description copied from interface: `Debugger`
  Steps into the frame.

  Specified by:
    `step` in interface `Debugger`
  Parameters:
    `frame` - the frame to step

### error

    public void error(StackFrame frame,
                      java.lang.String msg,
                      java.lang.Exception e)

  Description copied from interface: `Debugger`
  Throws an error.

  Specified by:
    `error` in interface `Debugger`
  Parameters:
    `frame` - the current frame
    `msg` - the error message
    `e` - the exception

### terminated

    public void terminated()

  Description copied from interface: `Debugger`
  Terminates the execution.

  Specified by:
    `terminated` in interface `Debugger`

Copyright 2007 IBM Corporation and others. All Rights Reserved.